Subject: Re: [PATCH net-next 3/5] r8152: add MCU typed read/write functions

From: Marek Behún <[email-masked]>
Date: Wed, 4 Nov 2020 06:55:24 +0100

On Tue, 3 Nov 2020 23:47:12 +0200
Vladimir Oltean <[email-masked]> wrote:

> On Tue, Nov 03, 2020 at 08:22:24PM +0100, Marek Behún wrote:
> > Add pla_ and usb_ prefixed versions of ocp_read_* and ocp_write_*
> > functions. This saves us from always writing MCU_TYPE_PLA/MCU_TYPE_USB
> > as parameter.
> > 
> > Signed-off-by: Marek Behún <[email-masked]>
> > ---  
> 
> You just made it harder for everyone to follow the code through pattern
> matching. Token concatenation should be banned from the C preprocessor.

So you aren't complaining about the definition of pla_ and usb_
functions, just that they are defined via macros?